### Hierarchy

- CustomDateTimeComponent

### Implements

- OnChanges

## Index

### Inputs

- batchText
- dateFormat
- datePickerFormat
- flatpickrOptions
- hasAbsolute
- hasRelative
- placeholder
- range
- relativeToOptions

### Outputs

- rangeChange

### Constructors

- constructor

### Properties

- batchText
- dateFormat
- datePickerFormat
- flatpickrOptions
- hasAbsolute
- hasRelative
- mode
- placeholder
- range
- rangeChange
- relativeToOptions
- value
- wrapperClass

### Methods

- absoluteChange
- ngOnChanges
- relativeChange

## Constructors

### constructor

- new CustomDateTimeComponent(): CustomDateTimeComponent

- #### Returns CustomDateTimeComponent

## Properties

### batchText

@Input()
batchText: any

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:64

### dateFormat

@Input()
dateFormat: string = 'yyyy-MM-dd'

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:70

Format of date

For reference: https://flatpickr.js.org/formatting/

### datePickerFormat

@Input()
datePickerFormat: string = 'Y-m-d'

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:71

### flatpickrOptions

@Input()
flatpickrOptions: any

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:74

### hasAbsolute

@Input()
hasAbsolute: boolean = true

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:63

### hasRelative

@Input()
hasRelative: boolean = true

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:62

### mode

mode: "relative" | "absolute" = 'relative'

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:59

### placeholder

@Input()
placeholder: string = 'yyyy-mm-dd'

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:72

### range

@Input()
range: DateTimeSelection = null

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:61

### rangeChange

@Output()
rangeChange: EventEmitter<DateTimeSelection> = ...

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:75

### relativeToOptions

@Input()
relativeToOptions: RelativeToOption[]

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:73

### value

value: any[] = ...

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:60

### wrapperClass

@HostBinding({"hostPropertyName":"'class.iot--date-time-picker__custom-wrapper'"})
wrapperClass: boolean = true

- Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:77

## Methods

### absoluteChange

- absoluteChange(change: DateRange): void

- - Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:105

  #### Parameters

  - ##### change: DateRange

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:79

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### relativeChange

- relativeChange(change: [Date, Date, RelativeRange]): void

- - Defined in packages/angular/src/date-time-picker/custom-date-time.component.ts:101

  #### Parameters

  - ##### change: [Date, Date, RelativeRange]

  #### Returns void

Generated using TypeDoc